# Grunt - The JavaScript Task Runner

**Notice** This is a an extension that is bundled with Visual Studio Code.

This extension supports running [Grunt](https://gruntjs.com/) tasks defined in a `gruntfile.js` file as [VS Code tasks](https://code.visualstudio.com/docs/editor/tasks). Grunt tasks with the name 'build', 'compile', or 'watch' are treated as build tasks.

To run Grunt tasks use the `Tasks` menu.

## Settings
- `grunt.autoDetect` enable detecting tasks from `Gruntfile.js` files, the default is `on`.
